#ifndef TSIKIDOM_H
#define TSIKIDOM_H

class TSikidom
{
    private:
        string nev;
        float x; // a kzppont x koordintja
        float y; // a kzppont y koordintja
        float a; // a skidom mrete (a kr sugara, a ngyzet oldala stb.)

    public:
        TSikidom(float x = 0, float y = 0 , float a = 0);
        float Tavolsag()  const;
        virtual string Sztringkent() const;
        string GetNev() const { return nev; }
        void SetNev(string ertek) { nev = ertek; }
        float GetX() const { return x; }
        void SetX(float ertek) { x = ertek; }
        float GetY() const { return y; }
        void SetY(float ertek) { y = ertek; }
        float GetA() const { return a; }
        void SetA(float ertek) { a = ertek; }
        virtual float Terulet() const = 0;
};

#endif // TSIKIDOM_H
