#include <iostream>
#include <sstream>
#include <cmath>
#include <string>
using namespace std;

#include "TTeglalap.h"

float TTeglalap::GetAtlo() const {
     return sqrt(GetA() * GetA() + b * b);
}

TTeglalap::TTeglalap(float x, float y, float a, float b) :TNegyzet(x, y, a) {
    SetNev("Tglalap");
    this->b = b;
}

float TTeglalap::Terulet() const {
    return GetA() * b;
}

string TTeglalap::ToString() const {
 	stringstream ss;
    ss << TNegyzet::ToString() << "b = " << b << endl;
	return ss.str();
}
