#include <iostream>
#include <typeinfo>

#include "TElem.h"
#include "TNyul.h"
#include "TKaposzta.h"
#include "TRoka.h"
#include "TUres.h"
#include "TJatek.h"

using namespace std;

bool TElem::szomszedKaposzta = 0;    // van-e szomszdos celln kposzta
bool TElem::szomszedNyul = 0;        // van-e szomszdos celln nyl
bool TElem::szomszedRoka = 0;        // van-e szomszdos celln rka

TElem::TElem(int x, int y) {
    this->x = x;
    this->y = y;
}

void TElem::Kiir()
{
    Console::SetCursorPosition(x,y);
    Console::SetForegroundColor(szin);
    cout<<Jel();
}

void TElem::Vizsgal(const TElem * szomszed) {
    szomszedKaposzta = szomszedKaposzta  || (typeid(*szomszed) == typeid(TKaposzta));
    szomszedNyul = szomszedNyul || (typeid(*szomszed) == typeid(TNyul));
    szomszedRoka = szomszedRoka || (typeid(*szomszed) == typeid(TRoka));
}

void TElem::Szomszedok() {
	szomszedKaposzta = false;
	szomszedNyul = false;
	szomszedRoka = false;
	Vizsgal(jatek->tabla[x][y - 1]); // balra
	Vizsgal(jatek->tabla[x][y + 1]); // jobbra
	Vizsgal(jatek->tabla[x - 1][y]); // felette
	Vizsgal(jatek->tabla[x + 1][y]); // alatta
}
