#ifndef TELEM_H_INCLUDED
#define TELEM_H_INCLUDED

#include "console.h"

class TJatek;
extern TJatek *jatek;

class TElem
{
private:
    void Vizsgal(const TElem & szomszed);
protected:
    static bool szomszedKaposzta;    // van-e szomszdos celln kposzta
    static bool szomszedNyul;        // van-e szomszdos celln nyl
    static bool szomszedRoka;        // van-e szomszdos celln rka
    int x; // az elem X koordintja
    int y; // az elem Y koordintja
    Console::Color szin;  // az elem szne
    void Szomszedok() ;
public:
    TElem(int x, int y);
    virtual char Jel() { return ' ';}
    virtual TElem* Ujelem() = 0;
    // a polimorfizmus miatt elhelyezzk itt a fggvny deklarcijt
    // (gy a TElem tpus objektumoknak van Ujelem metdusa)
    void Kiir();
    void Vizsgal(const TElem * );
};

#endif
