﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace gy3
{
    public partial class Form1 : Form
    {
        string kezdőkönyvtár;
        string lista;
        string behúz;
        // "Tallózás a mappák között" párbeszédablak
        FolderBrowserDialog könyvtárAblak = new FolderBrowserDialog();
        // Egyszerűbben: kezdőkönyvtár = TextBox1.Text

        public Form1()
        {
            InitializeComponent();
        }

        private void Button1_Click(object sender, EventArgs e)
        {
            Label1.Text = "";
            // a felhasználó kiválasztott egy mappát
            if (könyvtárAblak.ShowDialog() == DialogResult.OK)
            {
                kezdőkönyvtár = könyvtárAblak.SelectedPath;
                // felhasználó által kiválasztott mappa
                lista = "";
                behúz = "";
                Listáz(kezdőkönyvtár);
                this.Text = "gy3";
                Label1.Text = lista + "\n";
            }
        }

        public void Listáz(string ElérésiÚt)
        {
            string[] könyvtárak = null;
            lista += behúz + Path.GetFileName(ElérésiÚt) + "\n";
            // az elérési útból csak az utolsó elemet hagyja meg
            könyvtárak = Directory.GetDirectories(ElérésiÚt);
            if (könyvtárak.Length > 0)
            {
                behúz += "   ";
                foreach (string elem in könyvtárak)
                {
                    Listáz(elem);
                    this.Text = elem;
                }
                behúz = behúz.Substring(3);
            }
        }

    }
}
