// Moh algoritmus
// Teremfoglals
// Adatok a tanknyvben szerepl plda alapjn

#include <iostream>
#include <iomanip>
#include <clocale>
using namespace std;

void Kivalaszt(int i);
void Kiir();

// A rendezvnyek kezdetnek s vgnek idpontjt egsz szmokkal reprezentljuk.
// A vwg tmb szerint rendezve kell megadni az idpontokat!

// az esemnyek kezdetnek idpontjai
int kezd[] = {0, 1, 3, 2, 5, 3, 5,  6,  8,  8,  2, 12};
const int kezdMeret = sizeof(kezd) / sizeof(int);
// az esemnyek vgnek idpontjai (nvekv sorrendbe rendezve!)
int veg[]  = {0, 4, 5, 6, 7, 8,	9, 10, 11, 12, 13, 14};
// a kivlasztott esemnyek sorszmai
int megoldas[101];
int n, db;

int main()
{
    setlocale(LC_ALL,"Hun");
    int utolso;
	n = kezdMeret - 1;

	// Iteratv megolds:
	megoldas[1] = 1;
	db = utolso = 1;
	for (int i = 2; i <= n; i++) {
		if (kezd[i] >= veg[utolso]) {
			megoldas[++db] = i;
			utolso = i;
		}
	}
	cout << "Iteratv megolds:" << endl;
	Kiir();

	// Rekurzv megolds:
	db = 0;
	Kivalaszt(0);
	cout << "Rekurzv megolds:" << endl;
	Kiir();

    cin.get();
    return 0;
}

void Kivalaszt(int i)
{
	//  rekurzv megolds
	int utolso = i + 1;
	while (utolso <= n && kezd[utolso] < veg[i]) {
		utolso++;
	}
	if (utolso <= n) {
		megoldas[++db] = utolso;
		Kivalaszt(utolso);
	}
}

void Kiir()
{
	int temp = 0;
	for (int i = 1; i <= db; i++) {
		temp = megoldas[i];
		cout << setw(2) << temp << ". program, ideje: ";
		cout << setw(2) << kezd[temp] << " - " << setw(2) << veg[temp] << endl;
	}
	cout << endl;
}
