#include <iostream>
#include <cstdlib>
#include <string>
#include <cmath>
#include "TVerseny.h"
#include "TVersenyzo.h"
#include "console.h"
#include "random.h"

using namespace std;

void TVersenyzo::Letrehoz(int sorszam) {
    szinek[0] = Console::Gray;
    szinek[1] = Console::Green;
    szinek[2] = Console::Cyan;
    szinek[3] = Console::Red;
    szinek[4] = Console::Magenta;
    szinek[5] = Console::Yellow;
    szinek[6] = Console::White;
    maxLepes = 6;
    mez = sorszam;
    szin = szinek[velszam.Next(0, 7)];
    helyzet = 0;
    szokozok.append(log10((double)mez)+1, ' '); // a szmjegyek szmval megegyez szm szkz a trlshez
}

void TVersenyzo::Fut(TVerseny *verseny) {
    // Letrljk az elz helyet:
    Console::SetCursorPosition(helyzet, mez-1);
    cout << szokozok;
    // Lptetjk a versenyzt:
    helyzet += velszam.Next(1, maxLepes+1);
    if (helyzet >= verseny->palya->hossz) {
        // Feljegyezzk a clba r versenyz mezszmt:
        verseny->gyoztesek.push_back(mez);
        // Trljk a clvonalat a versenyz sorban:
        Console::SetCursorPosition(verseny->palya->hossz, mez-1);
        cout << " ";
    }
    Kiir();
}

void TVersenyzo::Kiir() {
    // Megjelentjk a versenyz helyt:
    Console::SetCursorPosition(helyzet, mez-1);
    Console::SetForegroundColor(szin);
    cout << mez;
}
