#include <iostream>
#include <string>
#include <sstream>
#include "windows.h"
#include "console.h"
#include "TVerseny.h"
#include "TVersenyzo.h"
using namespace std;

void TVerseny::Start() {
    Console::SetTitle("Futverseny");
    // Beolvassuk a versenyzk szmt:
    cout << "A versenyzk szma (<" << Console::GetLargestWindowHeight()-5  << "): ";
    cin >> versenyzokSzama; cin.get();
    // Ltrehozzuk a versenyzket tartalmaz tmbt:
    versenyzok.resize(versenyzokSzama);
    for (int i=0; i<versenyzokSzama; i++) {
        versenyzok[i] = new TVersenyzo(i+1);
    }

    // Ltrehozzuk a plyaobjektumot:
    palya = new TPalya(versenyzokSzama);

    // Elindtjuk a versenyt:
    Futas();

    // Kirjuk a gyzteseket:
    Eredmeny();
    cout << "(Enter: kilp)";

    // Trljk a dinamikus objektumokat:
    delete palya;
    for (int i=0; i<versenyzokSzama; i++) {
		delete versenyzok[i];
    }
}

void TVerseny::Futas() {
    do {
        for(int i=0; i<versenyzokSzama; i++)
            versenyzok[i]->Fut(this);
        Var(szunet);
    } while (gyoztesek.size() == 0);
    Console::SetForegroundColor(Console::White);
    cout<<endl<<"Vge a versenynek."<<endl;
}

void TVerseny::Eredmeny() {
    Console::SetForegroundColor(Console::White);
    cout <<"Gyztt: ";
    for (unsigned int i=0; i < gyoztesek.size(); i++)
        cout << gyoztesek.at(i) << " ";
    cout << endl;
}

void TVerseny::Var(int idotartam)
{
    Sleep(idotartam);
}
