#include <iostream>
#include <clocale>
using namespace std;
#include "TSikidom.h"
#include "TKor.h"
#include "TEllipszis.h"
#include "TNegyzet.h"
#include "TTeglalap.h"

int main()
{
    setlocale(LC_ALL,"Hun");
	TSikidom *sikidom;
    int tipus;
    do {
        cout << "1: ngyzet, 2: tglalap, 3: kr, 4: ellipszis, 0: vge" << endl;
        cin >> tipus;
        switch (tipus) {
            case 1:
                sikidom = new TNegyzet(1, 1, 2);
                break;
            case 2:
                sikidom = new TTeglalap(2, 2, 3, 4);
                break;
            case 3:
                sikidom = new TKor(3, 3, 5);
                break;
            case 4:
                sikidom = new TEllipszis(4, 4, 6, 8);
                break;
            default: continue;
        }
        if (tipus != 0) {
            cout<< sikidom->ToString() << endl;
            cout<< "Terlet: " << sikidom->Terulet() << endl <<endl;
            delete sikidom;
        }
    } while (!(tipus == 0));
    cin.get();
}
