// Sztvlogats helyben

#include <iostream>
#include <string>
#include <fstream>
using namespace std;

const string ut = "diakok.txt";  // az adatokat tartalmaz fjl elrsi tja
const int maxmeret = 300;

struct tdiak {
    string nev;
    int magassag;
    float tomeg;
    bool fiu;
};

tdiak diak[maxmeret];
int ndiak = 0;

void Szetvalogat(int, int, int&);
void Beolvas();
void Kiir(int);

int main()
{
    setlocale(LC_ALL,"Hun");

    int darab;

    Beolvas();
    Szetvalogat(0, ndiak-1, darab);
    Kiir(darab);

    cin.get();
    return 0;
}

void Szetvalogat(int elso, int utolso, int& darab) {
    tdiak temp;

    temp = diak[elso];
    while (elso<utolso) {
        while (elso<utolso && !diak[utolso].fiu) // nem rendelkezik a vizsglt tulajdonsggal
            utolso--;                            // vizsglt tulajdonsggal rendelkez elem keresse
        if (elso<utolso) {
            diak[elso++] = diak[utolso];
            while (elso<utolso && diak[elso].fiu)
                elso++;
            if (elso<utolso)
                diak[utolso--] = diak[elso];
        } // if
    } // while

    diak[elso]=temp;
    darab = elso;
    if (diak[elso].fiu)
        darab++;
}

void Beolvas() {
    string temp;
    ifstream fajl;

    fajl.open(ut.c_str());
    while (!fajl.eof()) {
        fajl >> diak[ndiak].nev;
        fajl >> temp;
        diak[ndiak].nev += " " + temp;
        fajl >> diak[ndiak].magassag;
        fajl >> diak[ndiak].tomeg;
        fajl >> temp;
        diak[ndiak].fiu = (temp.compare("fi")==0);
        ndiak++;
    }
    fajl.close();
}

void Kiir(int darab) {
    cout << "Fik:" << endl;
    for (int i=0; i<darab; i++) {
        cout.width(3);
        cout << i+1 << ". " << diak[i].nev << endl;
    }
    cout << endl << "Lnyok:" << endl;
    for (int i=darab; i<ndiak; i++) {
        cout.width(3);
        cout << i+1 << ". " << diak[i].nev << endl;
    }
    cout << endl << "sszesen: " << darab << " fi s " << ndiak-darab << " lny.";
}
