// Binris keress rekurzival

#include <iostream>
#include <clocale>
#include <algorithm>
using namespace std;

#include "Random.h"
Random velszam;

int *tomb;
int darab, keresettElem;

void Feltolt();
void Binkeres(int, int, int, int&);

int main()
{
    int melyik;

    setlocale(LC_ALL,"Hun");

    cout << "Binris keress rekurzival\n";
    Feltolt();
    do {
        cout << "Keresett elem (0 - vge): ";
        cin >> keresettElem; cin.get();
        if (keresettElem == 0) break;
        Binkeres(keresettElem, 0, darab-1, melyik);
        if (melyik > -1)
            cout << "Index: " << melyik << endl;
        else
            cout << "Nincs ilyen elem." << endl;
    } while (true);

    delete[] tomb;
    return 0;
}

void Binkeres(int keresettElem, int elso, int utolso, int& melyik) {
    int kozepso = (elso + utolso) / 2;
    if (elso > utolso)
        melyik = -1;
    else if (tomb[kozepso] == keresettElem)
        melyik = kozepso;
    else if (tomb[kozepso] > keresettElem)
        Binkeres(keresettElem, elso, kozepso-1, melyik);
    else // tomb[kozepso] < keresettElem
        Binkeres(keresettElem, kozepso+1, utolso, melyik);
}

void Feltolt() {
    darab = velszam.Next(1,20);
    tomb = new int[darab];
    for (int i=0; i<darab; i++)
        tomb[i] = velszam.Next(1,100);;
    sort(tomb, tomb + darab);
    cout << "Tmbelemek:\n";
    for (int i=0; i<darab; i++)
        cout << tomb[i] << " ";
    cout << endl;
}
