// Kombinatorikai algoritmusok
// Ismtls nlkli permutcik

#include <iostream>
#include <iomanip>
#include <clocale>
using namespace std;

void OsszesMegoldas();
void ElemetKeres(int, bool&, int&);
bool NemJo(int, int);
bool Megfelelo(int, int);
void MegoldKiir();

int *megold;
int n, db;
const int nulla = -1;

int main()
{
    setlocale(LC_ALL,"Hun");
    do {
        cout << "N (<=9) = ";
        cin >> n; cin.get();
    } while (n<1 || n>9);
    megold = new int[n];
	db = 0;
	cout<< n << " elem ismtls nlkli permutcii:" << endl;
	OsszesMegoldas();

    cin.get();
    delete [] megold;
    return 0;
}

void OsszesMegoldas()
{
    bool van = false;
	for (int k=0; k<n; k++)
	    megold[k] = nulla;

	int i = 0;
	int melyik = nulla;

	while (i >= 0) {
		ElemetKeres(i, van, melyik);
		if (van)
			megold[i++] = melyik;
		 else {
			megold[i--] = nulla;
		}

		van = i >= n;
		if (van) {
			db++;
			cout<< setw(5) <<db<<".: ";
			MegoldKiir();
			i--;
		}
	}
}

void ElemetKeres(int i, bool& van, int& melyik)
{
	melyik = megold[i] + 1;
	while (melyik < n && NemJo(i, melyik)) {
		melyik ++;
	}
	van = (melyik < n);
}

bool NemJo(int i, int melyik)
{
	int j = 0;
	while (j < i && Megfelelo(melyik, j)) {
		j++;
	}
	return (j < i);
}

bool Megfelelo(int melyik, int j)
{
	return (melyik != megold[j]);
}

void MegoldKiir()
{
	for (int i = 0; i < n; i++) {
		cout<< megold[i]+1;
	}
	cout<<endl;
}
