// Kombinatorikai algoritmusok
// Ismtls nlkli kombincik

#include <iostream>
#include <iomanip>
#include <clocale>
using namespace std;

void OsszesMegoldas();
void ElemetKeres(int, bool&, int&);
bool NemJo(int, int);

int *megold;
int n, k, db;
const int nincs = -1;


int main()
{
    setlocale(LC_ALL,"Hun");
    do {
        cout << "N (< 10) = ";
        cin >> n;
        cout << "K (<= N) = ";
        cin >> k; cin.get();
    } while ((n<1 || n>9) || (k<1 || k>n));
    megold = new int[k];
    cout << endl;
	cout<< n << " elem " << k << ". osztly ismtls nlkli kombincii:" << endl;
	OsszesMegoldas();

    cin.get();
    delete [] megold;
    return 0;
}

void OsszesMegoldas()
{
    bool van = false;
	for (int m=0; m<k; m++)
	    megold[m] = nincs;

	db = 0;
	int melyik = nincs;
	int i = 0;

	while (i >= 0) {
		ElemetKeres(i, van, melyik);
		if (van)
			megold[i++] = melyik;
		 else
			megold[i--] = nincs;

		if (i >= k) {
			db++;
			cout<< setw(3) << db << ".: ";
			for (int m=0; m<k; m++)
			   cout<<megold[m]+1;
			cout<<endl;
			i--;
		}
	}
}

void ElemetKeres(int i, bool& van, int& melyik)
{
	melyik = megold[i] + 1;
	while (melyik < n && NemJo(i, melyik)) {
		melyik ++;
	}
	van = (melyik < n);
}

bool NemJo(int i, int melyik)
{
	return (i > 0 && megold[i - 1] >= melyik);
}
