#include <iostream>
#include <iomanip>
#include <clocale>
#include <vector>
using namespace std;
#include "Random.h"
#include "SortedSet.h"

void Adatok();
void Kiir();

int vege;           // a legksbbi idpont (idpontok 1-tl vege-ig)
int n;              // a vendgek szma
vector <int> jon;   // a vendgek rkezsi idpontjai
vector <int> megy;  // a vendgek tvozsi idpontjai
vector <int> legkesobbiErkezes;    // az i idpontban tvozk legksbbi rkezsi ideje (lsd a tanknyvet)
vector <int> foto;
int utolsoFoto;
int darab;
Random velszam;

int main()
{
    setlocale(LC_ALL, "Hun");
    int i;
    Adatok();

    legkesobbiErkezes.resize(vege + 1);
    foto.resize(vege + 1);

    // A legkesobbiErkezes tmb feltltse
    fill(legkesobbiErkezes.begin(), legkesobbiErkezes.end(), 0);
    for (i = 1; i <= n; i++)
        if (jon[i] > legkesobbiErkezes[megy[i]]) {
            legkesobbiErkezes[megy[i]] = jon[i];
        }

    // Az idpontok vlasztsa:
    utolsoFoto = 0;
    darab = 0;
    for (i = 1; i <= vege; i++)
        if (legkesobbiErkezes[i] > 0 & utolsoFoto < legkesobbiErkezes[i]) {
            // volt tvozs s az utols fnykpezs ta jtt vendg, ezrt ksztnk fnykpet:
            darab++;
            foto[darab] = i;
            utolsoFoto = i;
        }

    Kiir();

    cin.get();
    return 0;
}

void Adatok()
{
	int temp[2];
	vege = velszam.Next(10, 24);
	n = velszam.Next(1, 10);
	jon.resize(n + 1);
	megy.resize(n + 1);
	legkesobbiErkezes.resize(vege + 1);
	foto.resize(vege + 1);
	for (int i = 1; i <= n; i++) {
		temp[0] = velszam.Next(1, vege + 1);
		temp[1] = velszam.Next(1, vege + 1);
		jon[i]  = min(temp[0], temp[1]);
		megy[i] = max(temp[0], temp[1]);
	}
}

void Kiir()
{
    string tab;
	SortedSet<int> h ;

	cout << endl;
	cout << "\t\tA vendgek szma: " << n << endl << endl;
	int k = 1, j;
	for (int i = 1; i <= vege; i++) {
	    tab = "\t\t";
		if (foto[k] == i) {
			cout<< k << ". fot -----";
			tab = "\t";
			for (j = 1; j <= n; j++)
				if (jon[j] <= i & megy[j] >= i)
					h.Add(j);
			k++;
		}
		//cout << endl;
		cout << tab <<"T=" <<setw(2) << i<<": vendgek: ";
		for (j = 1; j <= n; j++)
			if (jon[j] <= i & megy[j] >= i)
				cout<< j << " ";
			else
				cout<< "  ";
		cout << endl;
	}

	cout << endl << "\t\tLefnykpezett vendgek: ";
	for (k = 0; k < h.Size(); k++) {
        cout<< h[k] << " ";
	}
}
